package com.gic.haoban.manage.api.dto.chat;

import java.io.Serializable ;

/**
 * 
 * @ClassName: TabHaobanGroupChatUser
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年11月25日 15:42:52
 * @Modify
 * @CopyRight 
 */
public class GroupChatUserDTO implements Serializable{

	private static final long serialVersionUID = 21771431486600L;
	
	private Long chatUserId;
	/**微信企业id*/
	private String wxEnterpriseId;
	private String enterpriseId;
	/**1企业成员2外部联系人3客户*/
	private Integer userType;
	/**入群时间*/
	private java.util.Date joinTime;
	/**姓名*/
	private String userName;
	/**昵称*/
	private String nickName;
	/**群成员id*/
	private String userId;
	/**unionid*/
	private String unionid;
	private String memberId;
	/**邀请者*/
	private String invitorUserId;
	private String invitorUserName ;
	private java.util.Date createTime;
	private java.util.Date updateTime;
	/**1是0否*/
	private Integer deleteFlag;
	/**群id*/
	private Long groupChatId;
	/**1有效 2已退群*/
	private Integer statusFlag;
	/**用户退群时间*/
	private java.util.Date userQuitTime;
	/**0自己退群 1 - 群主/群管理员移出*/
	private Integer quitScene;
	/**0 - 由成员邀请入群（包括直接邀请入群和通过邀请链接入群）3 - 通过扫描群二维码入群*/
	private Integer joinScene;
	/**入群说明*/
	private String joinRemark;
	private String joinState;
	private Integer adminFlag ;
	private String chatName ;
	private String staffName ;
	private String wxChatId ;
	
	
	public String getWxChatId() {
        return wxChatId;
    }

    public void setWxChatId(String wxChatId) {
        this.wxChatId = wxChatId;
    }

    public String getChatName() {
        return chatName;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setChatName(String chatName) {
        this.chatName = chatName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public String getInvitorUserName() {
        return invitorUserName;
    }

    public void setInvitorUserName(String invitorUserName) {
        this.invitorUserName = invitorUserName;
    }

    public Integer getAdminFlag() {
        return adminFlag;
    }

    public void setAdminFlag(Integer adminFlag) {
        this.adminFlag = adminFlag;
    }

    public void setChatUserId(Long chatUserId){
		this.chatUserId = chatUserId;
	}
	
	public Long getChatUserId(){
		return chatUserId;
	}
	public void setWxEnterpriseId(String wxEnterpriseId){
		this.wxEnterpriseId = wxEnterpriseId;
	}
	
	public String getWxEnterpriseId(){
		return wxEnterpriseId;
	}
	public void setEnterpriseId(String enterpriseId){
		this.enterpriseId = enterpriseId;
	}
	
	public String getEnterpriseId(){
		return enterpriseId;
	}
	public void setUserType(Integer userType){
		this.userType = userType;
	}
	
	public Integer getUserType(){
		return userType;
	}
	public void setJoinTime(java.util.Date joinTime){
		this.joinTime = joinTime;
	}
	
	public java.util.Date getJoinTime(){
		return joinTime;
	}
	public void setUserName(String userName){
		this.userName = userName;
	}
	
	public String getUserName(){
		return userName;
	}
	public void setNickName(String nickName){
		this.nickName = nickName;
	}
	
	public String getNickName(){
		return nickName;
	}
	public void setUserId(String userId){
		this.userId = userId;
	}
	
	public String getUserId(){
		return userId;
	}
	public void setUnionid(String unionid){
		this.unionid = unionid;
	}
	
	public String getUnionid(){
		return unionid;
	}
	public void setMemberId(String memberId){
		this.memberId = memberId;
	}
	
	public String getMemberId(){
		return memberId;
	}
	public void setInvitorUserId(String invitorUserId){
		this.invitorUserId = invitorUserId;
	}
	
	public String getInvitorUserId(){
		return invitorUserId;
	}
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return createTime;
	}
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return updateTime;
	}
	public void setDeleteFlag(Integer deleteFlag){
		this.deleteFlag = deleteFlag;
	}
	
	public Integer getDeleteFlag(){
		return deleteFlag;
	}
	public void setGroupChatId(Long groupChatId){
		this.groupChatId = groupChatId;
	}
	
	public Long getGroupChatId(){
		return groupChatId;
	}
	public void setStatusFlag(Integer statusFlag){
		this.statusFlag = statusFlag;
	}
	
	public Integer getStatusFlag(){
		return statusFlag;
	}
	public void setUserQuitTime(java.util.Date userQuitTime){
		this.userQuitTime = userQuitTime;
	}
	
	public java.util.Date getUserQuitTime(){
		return userQuitTime;
	}
	public void setQuitScene(Integer quitScene){
		this.quitScene = quitScene;
	}
	
	public Integer getQuitScene(){
		return quitScene;
	}
	public void setJoinScene(Integer joinScene){
		this.joinScene = joinScene;
	}
	
	public Integer getJoinScene(){
		return joinScene;
	}
	public void setJoinRemark(String joinRemark){
		this.joinRemark = joinRemark;
	}
	
	public String getJoinRemark(){
		return joinRemark;
	}
	public void setJoinState(String joinState){
		this.joinState = joinState;
	}
	
	public String getJoinState(){
		return joinState;
	}
}